JDownloader Community - Appwork GmbH
 

Reply
 
Thread Tools Display Modes
  #1  
Old 08.10.2012, 16:32
iamwudu
Guest
 
Posts: n/a
Question This application requires a java runtime environment 1.6.0

Hi,

I updated to Java 7 (update 7), now I always get the error message "This application requires a java runtime environment 1.6.0".
Executed an The JD Update and JDownloader started normally, but after reboot I get the error message again!
Deinstalled JDownloader completely, installed with web update again. And directly after the new installation I got the error again!
Did the JD Update again, JD starts normally. Exit JD, and can't start it anymore!

JDownloader.exe: "This application requires a java runtime environment 1.5.0"
JDownloaderPortable.exe: "This application requires a java runtime environment 1.6.0"

How can I fix this..?
Reply With Quote
  #2  
Old 09.10.2012, 16:54
tony2long's Avatar
tony2long tony2long is offline
English Supporter
 
Join Date: Jun 2009
Posts: 5,895
Default

Please read this: http://board.jdownloader.org/showthread.php?t=38044
__________________
FAQ: How to upload a Log
Reply With Quote
  #3  
Old 09.10.2012, 22:35
iamwudu
Guest
 
Posts: n/a
Default

Quote:
Originally Posted by tony2long View Post
OK, I did not express myself well. I were frustrated after all the unsuccessful attempts.

I know that there are problems with 1.7.0. I don't want/can revert to 1.6.0.
I wanted to point out that JD works perfectly with 1.7.0 after the execution of the update. But only after the update.

It seems like just the start (the exe-files) are the problem and wanted to know if someone had a solution!

So, my question is not solved! Has someone a solution?

Last edited by iamwudu; 09.10.2012 at 23:25. Reason: readability
Reply With Quote
  #4  
Old 10.10.2012, 04:13
tony2long's Avatar
tony2long tony2long is offline
English Supporter
 
Join Date: Jun 2009
Posts: 5,895
Default

The .exe can't find your new JRE. Uninstall all JRE, use registry cleaner, install it again.
Another solution: Run jdownloader.jar or create your own .exe with launch4j, specify where your JRE is installed.
__________________
FAQ: How to upload a Log

Last edited by tony2long; 10.10.2012 at 06:17.
Reply With Quote
  #5  
Old 10.10.2012, 10:25
iamwudu
Guest
 
Posts: n/a
Default

Quote:
Originally Posted by tony2long View Post
Create your own .exe with launch4j, specify where your JRE is installed.
That works! Created a new executable for jdownloader.jar. Thanks for your help!
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

All times are GMT +2. The time now is 02:58.
Provided By AppWork GmbH | Privacy | Imprint
Parts of the Design are used from Kirsch designed by Andrew & Austin
Powered by vBulletin® Version 3.8.10 Beta 1
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.